import React from 'react';
import { View } from 'react-native';
import { Chat, Widget as WidgetComponent } from './components';
import { useChatConfigurations } from './context/ChatConfigurations';
import { styles } from './styles';
function App(_ref) {
  let {
    customWidget
  } = _ref;
  const {
    toggleIsChatOpen
  } = useChatConfigurations();
  const newComponent = /*#__PURE__*/React.isValidElement(customWidget) && /*#__PURE__*/React.cloneElement(customWidget, {
    onPress: toggleIsChatOpen
  });
  return /*#__PURE__*/React.createElement(View, {
    style: styles.app
  }, /*#__PURE__*/React.createElement(Chat, null), newComponent || /*#__PURE__*/React.createElement(WidgetComponent, {
    onPress: () => toggleIsChatOpen()
  }));
}
export default App;
//# sourceMappingURL=App.js.map