import React from 'react';
import { KeyboardAvoidingView, SafeAreaView, StatusBar, Platform } from 'react-native';
import ChatConfigurationsProvider from './context/ChatConfigurations';
import AsyncStorageContext from './context/AsyncStorage';
import SocketContextComponent from './context/Socket/Component';
import App from './App';
import { styles } from './styles';
export const Code7Boteria = props => {
  const {
    botId,
    params
  } = props;
  const isIphone = Platform.OS === 'ios';
  const barStyle = isIphone ? 'dark-content' : 'default';
  const behavior = isIphone ? 'padding' : 'height';
  return /*#__PURE__*/React.createElement(SafeAreaView, {
    style: styles.areaView
  }, /*#__PURE__*/React.createElement(StatusBar, {
    barStyle: barStyle
  }), /*#__PURE__*/React.createElement(AsyncStorageContext, null, /*#__PURE__*/React.createElement(ChatConfigurationsProvider, null, /*#__PURE__*/React.createElement(SocketContextComponent, {
    botId: botId,
    params: params
  }, /*#__PURE__*/React.createElement(KeyboardAvoidingView, {
    behavior: behavior,
    style: styles.container
  }, /*#__PURE__*/React.createElement(App, {
    customWidget: props.children
  }))))));
};
//# sourceMappingURL=index.js.map